


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for boletin\urls.py: 0%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>boletin\urls.py</b> :
            <span class="pc_cov">0%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            4 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">0 run</span>
            <span class="mis shortkey_m button_toggle_mis">4 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm mis"><a href="#n1">1</a></p>
<p id="n2" class="stm mis"><a href="#n2">2</a></p>
<p id="n3" class="pln"><a href="#n3">3</a></p>
<p id="n4" class="pln"><a href="#n4">4</a></p>
<p id="n5" class="pln"><a href="#n5">5</a></p>
<p id="n6" class="pln"><a href="#n6">6</a></p>
<p id="n7" class="pln"><a href="#n7">7</a></p>
<p id="n8" class="pln"><a href="#n8">8</a></p>
<p id="n9" class="stm mis"><a href="#n9">9</a></p>
<p id="n10" class="pln"><a href="#n10">10</a></p>
<p id="n11" class="stm mis"><a href="#n11">11</a></p>
<p id="n12" class="pln"><a href="#n12">12</a></p>
<p id="n13" class="pln"><a href="#n13">13</a></p>
<p id="n14" class="pln"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="pln"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="pln"><a href="#n18">18</a></p>
<p id="n19" class="pln"><a href="#n19">19</a></p>
<p id="n20" class="pln"><a href="#n20">20</a></p>
<p id="n21" class="pln"><a href="#n21">21</a></p>
<p id="n22" class="pln"><a href="#n22">22</a></p>
<p id="n23" class="pln"><a href="#n23">23</a></p>
<p id="n24" class="pln"><a href="#n24">24</a></p>
<p id="n25" class="pln"><a href="#n25">25</a></p>
<p id="n26" class="pln"><a href="#n26">26</a></p>
<p id="n27" class="pln"><a href="#n27">27</a></p>
<p id="n28" class="pln"><a href="#n28">28</a></p>
<p id="n29" class="pln"><a href="#n29">29</a></p>
<p id="n30" class="pln"><a href="#n30">30</a></p>
<p id="n31" class="pln"><a href="#n31">31</a></p>
<p id="n32" class="pln"><a href="#n32">32</a></p>
<p id="n33" class="pln"><a href="#n33">33</a></p>
<p id="n34" class="pln"><a href="#n34">34</a></p>
<p id="n35" class="pln"><a href="#n35">35</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm mis"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">path</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm mis"><span class="key">from</span> <span class="op">.</span><span class="nam">views</span> <span class="key">import</span> <span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="pln">    <span class="nam">ServicioListView</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="pln">    <span class="nam">ServicioDetailView</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="pln">    <span class="nam">ServicioCreateView</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="pln">    <span class="nam">ServicioUpdateView</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="pln">    <span class="nam">ServicioDeleteView</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="pln"><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm mis"><span class="key">from</span> <span class="op">.</span> <span class="key">import</span> <span class="nam">views</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t11" class="stm mis"><span class="nam">urlpatterns</span> <span class="op">=</span> <span class="op">[</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">''</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">index</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'index'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'consultar/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">consultar</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'consultar'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'nosotros/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">nosotros</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'nosotros'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'registrar/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">registrar</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'registro'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'perfil/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">perfil</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span> <span class="str">'perfil'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t18" class="pln">    <span class="com">#funciones para logear, cerrar, diccionario de datos </span><span class="strut">&nbsp;</span></p>
<p id="t19" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'crear/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">crear</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span> <span class="str">'crear'</span><span class="op">)</span><span class="op">,</span> <span class="com">#registrar usuario</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'logear/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">logear</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span> <span class="str">'logear'</span><span class="op">)</span><span class="op">,</span> <span class="com">#logear con usuario</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'cerrar/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">cerrar</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span> <span class="str">'cerrar'</span><span class="op">)</span><span class="op">,</span> <span class="com">#cerrar sesi&#243;n</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'diccionario/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">diccionario</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span><span class="str">'diccionario'</span><span class="op">)</span><span class="op">,</span> <span class="com">#diccionario de datos</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'modificar/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">modificar</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span><span class="str">'modificar'</span><span class="op">)</span><span class="op">,</span> <span class="com">#modificar  datos de perfil</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'cambiar/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">cambiar</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span><span class="str">'cambiar'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t25" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'email/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">email</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span><span class="str">'email'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t26" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'thanks/'</span><span class="op">,</span> <span class="nam">views</span><span class="op">.</span><span class="nam">thanks</span><span class="op">,</span> <span class="nam">name</span> <span class="op">=</span><span class="str">'base'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="pln">    <span class="com">#crud - para listar buscara la url &lt;app>/&lt;model>_&lt;tipovista>.html</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'servicios/'</span><span class="op">,</span> <span class="nam">ServicioListView</span><span class="op">.</span><span class="nam">as_view</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'servicio-listar'</span><span class="op">)</span><span class="op">,</span> <span class="com">##Sera una Lista de Todos</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'servicio/&lt;int:pk>/'</span><span class="op">,</span> <span class="nam">ServicioDetailView</span><span class="op">.</span><span class="nam">as_view</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'servicio-detalle'</span><span class="op">)</span><span class="op">,</span> <span class="com">##Vista de 1, PK sera primary key en el url</span><span class="strut">&nbsp;</span></p>
<p id="t30" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'servicio/&lt;int:pk>/modificar'</span><span class="op">,</span> <span class="nam">ServicioUpdateView</span><span class="op">.</span><span class="nam">as_view</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'servicio-modificar'</span><span class="op">)</span><span class="op">,</span> <span class="com">#Actualizar</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'servicio/nuevo/'</span><span class="op">,</span> <span class="nam">ServicioCreateView</span><span class="op">.</span><span class="nam">as_view</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'servicio-crear'</span><span class="op">)</span><span class="op">,</span> <span class="com">##Crear Servicio</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="pln">    <span class="nam">path</span><span class="op">(</span><span class="str">'servicio/&lt;int:pk>/eliminar'</span><span class="op">,</span> <span class="nam">ServicioDeleteView</span><span class="op">.</span><span class="nam">as_view</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">name</span><span class="op">=</span><span class="str">'servicio-eliminar'</span><span class="op">)</span><span class="com">#eliminar servicio</span><span class="strut">&nbsp;</span></p>
<p id="t33" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t34" class="pln"><span class="op">]</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-11-18 22:16
        </p>
    </div>
</div>

</body>
</html>
